### Nodejs Javascript vanilla

# Install dependencies

`npm install`

# replace \*.example files to .env

- ./
- infra/

# Run Mongo container

`docker compose -f "infra/docker-compose.yaml" up -d --build`

# Start the server

`node src/server.js`

# Routes

- New User -  POST /register Body: `{
  "name": "Name"
  "email": "Email@email.com",
  "password": "Password"
}`

- Login -  POST /login Body: `{
  "email": "Email@email.com",
  "password": "Password"
}`

- Logout -  POST /logout

- Get User -  GET /profile (Need to have a token cookie)

